---
title: HTMLAreaElement.rel
slug: Web/API/HTMLAreaElement/rel
tags:
  - API
  - HTML DOM
  - HTMLAreaElement
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLAreaElement.rel</strong></code> property reflects the {{htmlattrxref("rel", "area")}} attribute. It is a {{domxref("DOMString")}} containing a space-separated list of <a href="/en-US/docs/Web/HTML/Link_types">link types</a> indicating the relationship between the resource represented by the {{HTMLElement("area")}} element and the current document.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>relstr</em> = <em>areaElt</em>.rel;
<em>areaElt</em>.rel = <em>relstr</em>;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var areas = document.getElementsByTagName("area");
var length = areas.length;
for (var i = 0; i &lt; length; i++) {
  alert("Rel: " + areas[i].rel);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-area-rel', 'rel')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLAreaElement.rel")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The equivalent property on {{HTMLElement("a")}} and {{HTMLElement("link")}}, {{domxref("HTMLAnchorElement.rel")}} and {{domxref("HTMLLinkElement.rel")}}.</li>
 <li>The very same list but as tokens: {{domxref("HTMLAreaElement.relList")}}</li>
</ul>
